PaidGoods
API referenceStorefront themes

Save a theme’s settings document directly

PUT
/v1/stores/{storeId}/storefront/themes/{themeId}/settings

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
themeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/storefront/themes/string/settings" \  -H "Content-Type: application/json" \  -d '{    "settings": {      "property1": null,      "property2": null    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "base": "string",  "baseLabel": "string",  "baseVersion": "string",  "isActive": true,  "version": -9007199254740991,  "hasDraft": true,  "customisedFiles": -9007199254740991,  "update": {    "available": true,    "released": "string",    "files": [      "string"    ]  },  "tier": "free",  "updatedAt": "string",  "createdAt": "string",  "schema": {    "name": "string",    "version": "string",    "description": "string",    "tags": [      "string"    ],    "global": {      "properties": {        "property1": {          "type": "string",          "label": "string",          "default": null,          "help": "string",          "options": [            "string"          ],          "datalist": [            "string"          ],          "maxItems": 0,          "maxImages": 0,          "language": "string",          "min": 0,          "max": 0,          "group": "string",          "properties": {            "property1": {},            "property2": {}          }        },        "property2": {          "type": "string",          "label": "string",          "default": null,          "help": "string",          "options": [            "string"          ],          "datalist": [            "string"          ],          "maxItems": 0,          "maxImages": 0,          "language": "string",          "min": 0,          "max": 0,          "group": "string",          "properties": {            "property1": {},            "property2": {}          }        }      }    },    "components": {      "property1": {        "label": "string",        "description": "string",        "icon": "string",        "properties": {          "property1": {            "type": "string",            "label": "string",            "default": null,            "help": "string",            "options": [              "string"            ],            "datalist": [              "string"            ],            "maxItems": 0,            "maxImages": 0,            "language": "string",            "min": 0,            "max": 0,            "group": "string",            "properties": {              "property1": {},              "property2": {}            }          },          "property2": {            "type": "string",            "label": "string",            "default": null,            "help": "string",            "options": [              "string"            ],            "datalist": [              "string"            ],            "maxItems": 0,            "maxImages": 0,            "language": "string",            "min": 0,            "max": 0,            "group": "string",            "properties": {              "property1": {},              "property2": {}            }          }        },        "multiple": true,        "templates": [          "string"        ],        "global": true,        "order": 0      },      "property2": {        "label": "string",        "description": "string",        "icon": "string",        "properties": {          "property1": {            "type": "string",            "label": "string",            "default": null,            "help": "string",            "options": [              "string"            ],            "datalist": [              "string"            ],            "maxItems": 0,            "maxImages": 0,            "language": "string",            "min": 0,            "max": 0,            "group": "string",            "properties": {              "property1": {},              "property2": {}            }          },          "property2": {            "type": "string",            "label": "string",            "default": null,            "help": "string",            "options": [              "string"            ],            "datalist": [              "string"            ],            "maxItems": 0,            "maxImages": 0,            "language": "string",            "min": 0,            "max": 0,            "group": "string",            "properties": {              "property1": {},              "property2": {}            }          }        },        "multiple": true,        "templates": [          "string"        ],        "global": true,        "order": 0      }    }  },  "settings": {    "property1": null,    "property2": null  },  "draft": {    "property1": null,    "property2": null  },  "draftUpdatedAt": "string",  "resolved": {    "global": {      "properties": {        "property1": null,        "property2": null      },      "components": {        "property1": {          "property1": null,          "property2": null        },        "property2": {          "property1": null,          "property2": null        }      }    },    "templates": {      "property1": {        "layout": "string",        "components": {          "property1": {            "type": "string",            "properties": {              "property1": null,              "property2": null            },            "hidden": true          },          "property2": {            "type": "string",            "properties": {              "property1": null,              "property2": null            },            "hidden": true          }        },        "components_order": [          "string"        ]      },      "property2": {        "layout": "string",        "components": {          "property1": {            "type": "string",            "properties": {              "property1": null,              "property2": null            },            "hidden": true          },          "property2": {            "type": "string",            "properties": {              "property1": null,              "property2": null            },            "hidden": true          }        },        "components_order": [          "string"        ]      }    }  },  "pages": [    {      "key": "string",      "label": "string",      "path": "string",      "template": "string"    }  ],  "images": {    "property1": "string",    "property2": "string"  },  "storeUrl": "string",  "strings": {    "property1": "string",    "property2": "string"  }}